Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Solving the problem of the Opera browser with video playback in Ubuntu and similar distributions (Linux Mint, KDE neon)

  • @operafan123 Try rename the original file and replace with that file from chromium package. I don't understand why we should use a symlink here.

  • @zarathustra-f90
    Thanks, this worked for me to on Ubuntu 20.04 and Opera installed with APT.

  • Hi, I create a script to download and install ffmpeg lib on linux and fix this problem with opera:

    https://github.com/nicolas-meilan/fix-opera-linux-ffmpeg

  • I re-package this into a 'portable' version for the Puppy Linux community. Portable applications work very well for Puppy's somewhat unusual method of operation.

    I get libffmpeg.so & Widevine for Opera by the simple expedient of using the updater scripts supplied by Vivaldi for their browser. As noted above, it doesn't matter how you actually obtain these; what matters is that you end up with the specific version compiled to work with the particular release of Chromium that Opera has been built around.

    If you run the script from your /home 'user' directory, the scripts will write the 'codecs' directory, containing libffmpeg.so, to /var/opt. You'll get a sym-link appear which you can delete; simply copy libffmpeg.so across to the location where Opera expects to find it.

    Bob's yr uncle; sorted.

    Mike. 👍

    (EDIT:- Apologies to anyone who wants terminal commands to do the above. We don't really use these all that much in Puppy; we tend to 'dive-in' to the file-system & physically move stuff around to suit.....and the 'portable' version doesn't use 'standard' locations anyway!)

  • @vladimir-bardakov I installed the extra lib, and then downloaded the last version of opera and installed it again with ,
    sudo dpkg -i operaXXX.deb

    and the problem was finally solved !

  • @marek-online this totally solved the issue here, thank you!

  • That fixed the issue for me

    wget https://github.com/iteufel/nwjs-ffmpeg-prebuilt/releases/download/0.52.2/0.52.2-linux-x64.zip -P ~/Downloads/
    
    unzip ~/Downloads/0.52.2-linux-x64.zip -d ~/Downloads/
    
    sudo mv ~/Downloads/libffmpeg.so /usr/lib/x86_64-linux-gnu/opera/
    
  • @mau21mau Confirmed!. Your method works. Last version of Opera nd Linux Mint 20.1

  • If it was installed through Snap, you can try to connect system camera interface on the Opera camera interface

    sudo snap connect opera:camera :camera
    

    Restart opera and check if it worked.

    Ref: https://snapcraft.io/docs/interface-management

  • simlink ubuntu 20.04

    sudo ln -s /snap/chromium-ffmpeg/17/chromium-ffmpeg-95241/chromium-ffmpeg/libffmpeg.so /usr/lib/x86_64-linux-gnu/opera/
    
  • This is just a workaround, not a solution.
    This legal issue needs to be solved, and it's a Must
    I suggest to developers to work on this before to working for stuffs on Opera GX. (or maybe you can replace Opera GX with Opera, why you created GX while your normal browser is not working properly...)

  • @njt145 Maybe you can send money to Opera, so the company can afford the costs of a licensing. 😀

  • @mau21mau ty!

  • Another way is to download libffmpeg from here and replace the one in Opera directory

    locate libffmpeg.sp
    

    and copy the file from the repository and replace the one in this directory.

  • No method seems to be working for the version of opera released today (Version 79.0.4143.22, chromium 93.0.4577.63). Replacing the provided libffmpeg.so with any of the provided methods causes the entire page to crash if you try to play any video embedded on it. I have now defaulted back to the provided one.
    My go-to method before this was to download the latest version from iteufel's github repo and replace it manually. Had worked since I installed opera.

  • @rgplayzmc **Update To Previous Post **
    Solution: Until @xZero updates his script (It returns

    opera-fix-ffmpeg.sh: 15: [: Illegal number: 
    Error: snapd is not installed
    Command 'snap' not found
    /usr/bin/snap
    
    

    Snap is actually installled
    )
    Here's what to do (GUI method):

    1. Install the chromium-ffmpeg snap
    2. Navigate to /snap/chromium-ffmpeg/current
    3. Find the folder with the highest number and open terminal over there (Right click->open with terminal).
    4. Run
    sudo cp libffmpeg.so /usr/lib/x86_64-linux-gnu/opera
    

    (Replace opera directory with wherever yours is installed.)

    (CUI method) (I am a noob at bash, so please forgive me pros)
    1.

    snap install chromium-ffmpeg && cd /snap/chromium-ffmpeg/current 
    
    1. Find the highest number
    cd chromium-ffmpeg-highestnumber && cp libffmpeg.so /usr/lib/x86_64-linux-gnu/opera
    

    Done!

    Now I request @xZero or anyone else to fix that script. Once the script is fixed, store the command the run it in a terminal utility known as keep for easy access.